OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Aircrack-ng On Cacko, anyone got this working?
seiichiro0185
post Jul 27 2006, 03:39 AM
Post #1





Group: Members
Posts: 29
Joined: 23-August 05
From: Germany
Member No.: 7,931



Hi all,

I tried to get aircrack-ng to work on my C1000 runnning Cacko 1.23.
First I tried the ipk from the website, but this complains about Glibc versions and libpthread.
So I tried to crosscompile it and compile it on the Z with zgcc. But in both cases I get this error:

CODE
src/common.c: In function `getVersion':
src/common.c:40: parse error before `char'
src/common.c:43: `provis' undeclared (first use in this function)
src/common.c:43: (Each undeclared identifier is reported only once
src/common.c:43: for each function it appears in.)
make: *** [aircrack-ng] Error 1


So has anyone a working version of aircrack-ng for cacko or a tip how to solve the error? Thanks in advance

seiichiro0185
Go to the top of the page
 
+Quote Post
craigtyson
post Aug 3 2006, 09:00 AM
Post #2





Group: Members
Posts: 464
Joined: 15-June 04
Member No.: 3,698



First I got a MALLOC error 80MB so then created a swapfile which seemed to work. But when I tested it I now get a "Bad Magic" error. Im not sure if this refers to the Hex file Im using from Wellenreiter or some C lib thats not the right version.

Anyone any ideas?
Go to the top of the page
 
+Quote Post
ldrolez
post Jan 15 2007, 08:02 AM
Post #3





Group: Members
Posts: 69
Joined: 16-May 06
From: France, Metz
Member No.: 9,882



QUOTE(seiichiro0185 @ Jul 27 2006, 01:39 PM)
So I tried to crosscompile it and compile it on the Z with zgcc. But in both cases I get this error:


Yes, the code is not compatible with gcc 2.95.x.
You can download my ipk and sources here:
http://www.drolez.com/software/zaurus/#witools
Cheers,
Go to the top of the page
 
+Quote Post
seiichiro0185
post Jan 15 2007, 02:04 PM
Post #4





Group: Members
Posts: 29
Joined: 23-August 05
From: Germany
Member No.: 7,931



QUOTE(ldrolez @ Jan 15 2007, 06:02 PM)
Yes, the code is not compatible with gcc 2.95.x.
You can download my ipk and sources here:
http://www.drolez.com/software/zaurus/#witools
Cheers,
*


Thanks a lot! To bad I have no network avaiable for testing tongue.gif

seiichiro0185
Go to the top of the page
 
+Quote Post
ljonesj
post Jun 23 2007, 01:08 PM
Post #5





Group: Members
Posts: 42
Joined: 10-August 06
From: Tennessee
Member No.: 10,742



i just installed ldrolez aircrack-ng version i need help trying to get it to run i cannot for the life of me get it to work i think its operator error any help would be great
Go to the top of the page
 
+Quote Post
Capn_Fish
post Jun 23 2007, 03:35 PM
Post #6





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



Have you read the tutorial(s) at the website?

Also, my impression is that you need drivers with packet injection to make use of the app, so if you don't have those, it may be worthless (that's more or less what I was told when I asked andother question on IRC, which you could try, but would probably be told the same thing).
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 1st September 2014 - 01:04 PM